## javax.mail
Class MethodNotSupportedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.mail.MessagingException
                  javax.mail.MethodNotSupportedException

All Implemented Interfaces:
  Serializable

    public class MethodNotSupportedException

extends MessagingException

The exception thrown when a method is not supported by the implementation

See Also:
  Serialized Form

Constructor Summary
`MethodNotSupportedException()` Constructs a MethodNotSupportedException with no detail message.
`MethodNotSupportedException(String s)` Constructs a MethodNotSupportedException with the specified detail message.

Method Summary

Methods inherited from class javax.mail.MessagingException
`getCause, getNextException, setNextException, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MethodNotSupportedException

    public MethodNotSupportedException()

  Constructs a MethodNotSupportedException with no detail message.

### MethodNotSupportedException

    public MethodNotSupportedException(String s)

  Constructs a MethodNotSupportedException with the specified detail message.

  Parameters:
    `s` - the detail message

Copyright © 2009 Sun Microsystems, Inc.. All Rights Reserved.